import httpTwo from '../httpTwo'
import heepThree from '../heepThree'
import qs from "qs";
import { encrypt } from '../../utils/jsencrypt.js'
import http from "@/api/http.js";

// 获取随机uuid
export const getAuthUUID = params => {
    console.log('params',params)
    const sign = qs.stringify({
        sign: encrypt(params)
    })
    console.log('sign',sign)
    return httpTwo.get(`/auth/getAuthUUID?` + sign)
}
//
// 生成token
export const createToken = params => {
    const sign = qs.stringify({
        sign: encrypt(params)
    })
    return heepThree.post(`/auth/createToken`, sign).then(res => res).catch(function (error) {
        console.log(error);
    })
}

// 校验token
export const checkToken = params => {
    return httpTwo.get(`/auth/checkToken?token=` + params)
}
